summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorsL1pKn072020-10-17 17:41:15 +0200
committersL1pKn072020-10-17 17:41:15 +0200
commitd0203eeecced5516cf718cc0b9ed405522394fcd (patch)
tree7f3cc95662eb4280cd90901efe550f6a31467fe8
parent03c577e76b0481f0385eafa615cf0bfc8c50bcaa (diff)
downloadaur-d0203eeecced5516cf718cc0b9ed405522394fcd.tar.gz
bump
-rw-r--r--.SRCINFO29
-rw-r--r--PKGBUILD53
2 files changed, 55 insertions, 27 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 54c9fc2c46f..d7a9ff9fba6 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = pipewire-git
pkgdesc = Server and user space API to deal with multimedia pipelines. (GIT version)
- pkgver = 0.3.10.24.g157b15d6
+ pkgver = 0.3.13.99.ge1fc51d9
pkgrel = 1
url = https://pipewire.org
arch = x86_64
@@ -22,7 +22,6 @@ pkgbase = pipewire-git
makedepends = libsndfile
makedepends = bluez-libs
makedepends = vulkan-headers
- backup = etc/pipewire/pipewire.conf
source = git+https://gitlab.freedesktop.org/pipewire/pipewire.git
sha256sums = SKIP
@@ -33,11 +32,18 @@ pkgname = pipewire-git
depends = rtkit
depends = vulkan-icd-loader
depends = bluez-libs
+ depends = alsa-card-profiles
depends = libdbus-1.so
depends = libsndfile.so
- optdepends = pipewire-docs: Documentation
- optdepends = pipewire-jack: JACK support
- optdepends = pipewire-pulse: PulseAudio support
+ depends = libudev.so
+ depends = libasound.so
+ depends = libsystemd.so
+ depends = libglib-2.0.so
+ depends = libgobject-2.0.so
+ optdepends = pipewire-docs-git: Documentation
+ optdepends = pipewire-jack-git: JACK support
+ optdepends = pipewire-pulse-git: PulseAudio support
+ optdepends = pipewire-alsa-git: ALSA support
provides = pipewire
provides = libpipewire-0.3.so
conflicts = pipewire
@@ -45,6 +51,7 @@ pkgname = pipewire-git
pkgname = pipewire-docs-git
pkgdesc = Server and user space API to deal with multimedia pipelines. (documentation)(GIT Version)
+ arch = any
provides = pipewire-docs
conflicts = pipewire-docs
@@ -53,17 +60,19 @@ pkgname = pipewire-jack-git
depends = libpipewire-0.3.so
depends = libjack.so
provides = pipewire-jack
- provides = libjack-pw.so
conflicts = pipewire-jack
pkgname = pipewire-pulse-git
pkgdesc = Server and user space API to deal with multimedia pipelines. (Pulse support)(GIT version)
depends = libpipewire-0.3.so
- depends = libpulse.so
depends = libglib-2.0.so
provides = pipewire-pulse
- provides = libpulse-pw.so
- provides = libpulse-simple-pw.so
- provides = libpulse-mainloop-glib-pw.so
conflicts = pipewire-pulse
+pkgname = pipewire-alsa-git
+ pkgdesc = ALSA Configuration for PipeWire (ALSA support)(GIT version)
+ arch = any
+ depends = libpipewire-0.3.so
+ provides = pipewire-alsa
+ conflicts = pipewire-alsa
+
diff --git a/PKGBUILD b/PKGBUILD
index 97d12cc4270..9a1c238a891 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -3,8 +3,9 @@ pkgname=('pipewire-git'
'pipewire-docs-git'
'pipewire-jack-git'
'pipewire-pulse-git'
+ 'pipewire-alsa-git'
)
-pkgver=0.3.10.24.g157b15d6
+pkgver=0.3.13.99.ge1fc51d9
pkgrel=1
pkgdesc='Server and user space API to deal with multimedia pipelines. (GIT version)'
arch=('x86_64')
@@ -30,7 +31,6 @@ makedepends=('git'
)
source=('git+https://gitlab.freedesktop.org/pipewire/pipewire.git')
sha256sums=('SKIP')
-backup=('etc/pipewire/pipewire.conf')
pkgver() {
cd pipewire
@@ -81,12 +81,19 @@ package_pipewire-git() {
'rtkit'
'vulkan-icd-loader'
'bluez-libs'
+ 'alsa-card-profiles'
'libdbus-1.so'
'libsndfile.so'
+ 'libudev.so'
+ 'libasound.so'
+ 'libsystemd.so'
+ 'libglib-2.0.so'
+ 'libgobject-2.0.so'
)
- optdepends=('pipewire-docs: Documentation'
- 'pipewire-jack: JACK support'
- 'pipewire-pulse: PulseAudio support'
+ optdepends=('pipewire-docs-git: Documentation'
+ 'pipewire-jack-git: JACK support'
+ 'pipewire-pulse-git: PulseAudio support'
+ 'pipewire-alsa-git: ALSA support'
)
provides=('pipewire'
"libpipewire-${pkgver:0:3}.so"
@@ -99,18 +106,25 @@ package_pipewire-git() {
cd "${pkgdir}"
- _pick docs usr/share/doc/pipewire
+ mkdir -p etc/alsa/conf.d
+ ln -st etc/alsa/conf.d /usr/share/alsa/alsa.conf.d/50-pipewire.conf
+
+ _pick docs usr/share/doc
- _pick pulse usr/lib/pipewire-${pkgver:0:3}/pulse
+ _pick pulse usr/bin/pw-pulse usr/lib/pipewire-${pkgver:0:3}/pulse
+ _pick jack usr/bin/pw-jack usr/lib/pipewire-${pkgver:0:3}/jack
_pick jack usr/lib/spa-0.2/jack
- _pick jack usr/lib/pipewire-${pkgver:0:3}/jack
+
+ # Use alsa-card-profiles built with Pulseaudio
+ rm -rv "$pkgdir"/usr/share/alsa-card-profile
}
package_pipewire-docs-git() {
pkgdesc='Server and user space API to deal with multimedia pipelines. (documentation)(GIT Version)'
provides=('pipewire-docs')
conflicts=('pipewire-docs')
+ arch=('any')
mv docs/* "${pkgdir}"
}
@@ -120,9 +134,7 @@ package_pipewire-jack-git() {
depends=("libpipewire-${pkgver:0:3}.so"
'libjack.so'
)
- provides=('pipewire-jack'
- 'libjack-pw.so'
- )
+ provides=('pipewire-jack')
conflicts=('pipewire-jack')
mv jack/* "${pkgdir}"
@@ -131,15 +143,22 @@ package_pipewire-jack-git() {
package_pipewire-pulse-git() {
pkgdesc='Server and user space API to deal with multimedia pipelines. (Pulse support)(GIT version)'
depends=("libpipewire-${pkgver:0:3}.so"
- 'libpulse.so'
'libglib-2.0.so'
)
- provides=('pipewire-pulse'
- 'libpulse-pw.so'
- 'libpulse-simple-pw.so'
- 'libpulse-mainloop-glib-pw.so'
- )
+ provides=('pipewire-pulse')
conflicts=('pipewire-pulse')
mv pulse/* "${pkgdir}"
}
+
+
+package_pipewire-alsa-git() {
+ pkgdesc="ALSA Configuration for PipeWire (ALSA support)(GIT version)"
+ depends=("libpipewire-${pkgver:0:3}.so")
+ provides=('pipewire-alsa')
+ conflicts=('pipewire-alsa')
+ arch=('any')
+
+ mkdir -p "${pkgdir}/etc/alsa/conf.d"
+ ln -st "${pkgdir}/etc/alsa/conf.d" /usr/share/alsa/alsa.conf.d/99-pipewire-default.conf
+}